For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Fork this repoGet a demo
  • Docs
    • Welcome
    • Quickstart
    • Concepts
    • Search
    • MCP Server
    • CLI
    • Agent Skills
    • Connect
    • Add New Connector
    • Rate Limits
  • API Reference
      • GETList Source Connections
      • GETGet Source Connection
      • GETList Sync Jobs
      • POSTCreate Source Connection
      • PATCHUpdate Source Connection
      • POSTRun Sync
      • POSTCancel Sync Job
      • DELDelete Source Connection
LogoLogo
Fork this repoGet a demo
API ReferenceSource Connections

Update Source Connection

PATCH
/source-connections/:source_connection_id
PATCH
/source-connections/:source_connection_id
1import requests
2
3url = "https://api.airweave.ai/source-connections/550e8400-e29b-41d4-a716-446655440000"
4
5payload = {}
6headers = {
7 "x-api-key": "<apiKey>",
8 "Content-Type": "application/json"
9}
10
11response = requests.patch(url, json=payload, headers=headers)
12
13print(response.json())
1{
2 "id": "550e8400-e29b-41d4-a716-446655440000",
3 "organization_id": "123e4567-e89b-12d3-a456-426614174000",
4 "name": "GitHub Docs Repo",
5 "short_name": "github",
6 "readable_collection_id": "documentation-ab123",
7 "status": "active",
8 "created_at": "2024-03-15T09:30:00Z",
9 "modified_at": "2024-03-15T14:22:15Z",
10 "auth": {
11 "method": "direct",
12 "authenticated": true,
13 "authenticated_at": "2024-03-15T09:30:00Z"
14 },
15 "description": "Main documentation repository",
16 "config": {
17 "branch": "main",
18 "repo_name": "company/docs"
19 },
20 "schedule": {
21 "cron": "0 */6 * * *",
22 "next_run": "2024-03-15T18:00:00Z"
23 },
24 "sync": {
25 "total_runs": 15,
26 "successful_runs": 14,
27 "failed_runs": 1,
28 "last_job": {
29 "id": "770e8400-e29b-41d4-a716-446655440002",
30 "status": "created",
31 "started_at": "2024-03-15T12:00:00Z",
32 "completed_at": "2024-03-15T12:05:32Z",
33 "duration_seconds": 332,
34 "entities_inserted": 45,
35 "entities_updated": 12
36 }
37 },
38 "entities": {
39 "total_entities": 1250,
40 "by_type": {
41 "file": {
42 "count": 1250
43 }
44 }
45 },
46 "federated_search": false
47}
Update an existing source connection's configuration. You can modify: - **Name and description**: Display information - **Configuration**: Source-specific settings (e.g., repository name, filters) - **Schedule**: Cron expression for automatic syncs - **Authentication**: Update credentials (direct auth only) Only include the fields you want to change; omitted fields retain their current values.
Was this page helpful?
Previous

Run Sync

Next
Built with

Update an existing source connection’s configuration.

You can modify:

  • Name and description: Display information
  • Configuration: Source-specific settings (e.g., repository name, filters)
  • Schedule: Cron expression for automatic syncs
  • Authentication: Update credentials (direct auth only)

Only include the fields you want to change; omitted fields retain their current values.

Authentication

x-api-keystring
API Key authentication via header

Path parameters

source_connection_idstringRequiredformat: "uuid"

Unique identifier of the source connection to update (UUID)

Request

This endpoint expects an object.
namestring or nullOptional4-42 characters
Updated display name for the connection
descriptionstring or nullOptional<=255 characters
Updated description
configmap from strings to any or nullOptional

Updated source-specific configuration

scheduleobject or nullOptional
Updated sync schedule configuration
authenticationobject or nullOptional

Updated authentication credentials (direct auth only)

Response

Updated source connection
idstringformat: "uuid"
Unique identifier of the source connection
organization_idstringformat: "uuid"
Organization this connection belongs to
namestring
Display name of the connection
short_namestring
Source type identifier
readable_collection_idstring
Collection this connection belongs to
statusenum
Current operational status of the connection
created_atstringformat: "date-time"

When the connection was created (ISO 8601)

modified_atstringformat: "date-time"

When the connection was last modified (ISO 8601)

authobject
Authentication status and details
descriptionstring or null
Optional description of the connection's purpose
configmap from strings to any or null

Source-specific configuration values

scheduleobject or null
Sync schedule configuration
syncobject or null
Sync execution history and statistics
sync_idstring or nullformat: "uuid"

ID of the associated sync (internal use)

entitiesobject or null
Summary of synced entities by type
error_categoryenum or null

Error category when status is needs_reauth (e.g. oauth_credentials_expired)

error_messagestring or null

Human-readable error message when status is needs_reauth

provider_settings_urlstring or null

URL to the auth provider’s settings dashboard (for auth_provider errors)

provider_short_namestring or null

Auth provider short_name (e.g. ‘composio’, ‘pipedream’) for display

federated_searchbooleanDefaults to false

Whether this source uses federated (real-time) search instead of syncing

Errors

404
Not Found Error
422
Unprocessable Entity Error
429
Too Many Requests Error